GDB (xrefs)

Classes | Functions
/tmp/gdb-8.1/gdb/tracefile.h File Reference
`#include "tracepoint.h"`

Go to the source code of this file.

## Classes
struct | trace_frame_write_ops
struct | trace_file_write_ops
struct | trace_file_writer

## Functions
struct trace_file_writer * | tfile_trace_file_writer_new (void)
void | init_tracefile_ops (struct target_ops *ops)
void | tracefile_fetch_registers (struct regcache *regcache, int regno)

## Function Documentation

## ◆ init_tracefile_ops()

void init_tracefile_ops | ( | struct target_ops * | ops | ) |

Definition at line 486 of file tracefile.c.

References breakpoint::ops, OPS_MAGIC, process_stratum, tracefile_get_trace_status(), tracefile_has_all_memory(), tracefile_has_memory(), tracefile_has_registers(), tracefile_has_stack(), and tracefile_thread_alive().

Referenced by init_tfile_ops().

## ◆ tfile_trace_file_writer_new()

struct trace_file_writer* tfile_trace_file_writer_new | ( | void |  | ) |

Definition at line 369 of file tracefile-tfile.c.

References tfile_trace_file_writer::base, tfile_trace_file_writer::fp, trace_file_writer::ops, tfile_trace_file_writer::pathname, tfile_write_ops, and XNEW.

Referenced by trace_save_tfile(), and tsave_command().

## ◆ tracefile_fetch_registers()

void tracefile_fetch_registers | ( | struct regcache * | regcache,
|  | int | regno
| ) |  |

Definition at line 388 of file tracefile.c.

References _, bp_location::address, regcache::arch(), gdbarch_guess_tracepoint_registers(), gdbarch_num_regs(), get_tracepoint(), get_tracepoint_number(), breakpoint::loc, bp_location::next, breakpoint::number, regcache_raw_supply(), tracepoint::step_count, and warning().

Referenced by tfile_fetch_registers().